=== debian/changelog ===
telepathy-logger-qt (15.04.0-0ubuntu1) wily; urgency=medium

  * Port to wily. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 15 May 2015 22:01:22 -0700

telepathy-logger-qt (15.04.0-0ubuntu1~ubuntu15.04~ppa1) vivid; urgency=medium

  * New upstream Qt 5 release
  * Packages dropped their qt version suffix and gained a soversion 5
  * Watch file updated to unstable path
  * PPA build

 -- Harald Sitter <sitter@kde.org>  Mon, 09 Mar 2015 10:46:14 +0100

telepathy-logger-qt (15.04.0-1~) UNRELEASED; urgency=medium

  [ Diane Trout ]
  * Update watch file

  [ Maximiliano Curia ]
  * Bump Standards-Version to 3.9.6, no changes needed.
  * New upstream release (15.04.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 28 Apr 2015 15:37:27 +0200

telepathy-logger-qt (0.8.0-3) unstable; urgency=medium

  * Update symbols file
  * Possibly an alternate solution to (Closes: #751504)
    (Thank you to Andreas Barth reporting)

 -- Diane Trout <diane@ghic.org>  Sat, 13 Sep 2014 15:22:12 -0700

telepathy-logger-qt (0.8.0-2) unstable; urgency=medium

  * Update symbols file. (Closes: #749013)

 -- Diane Trout <diane@ghic.org>  Wed, 11 Jun 2014 14:37:11 -0700

telepathy-logger-qt (0.8.0-1) unstable; urgency=medium

  * Import 0.8.0
  * Remove 01_no_useless_linking.diff. Fixed upstream.
  * Update Standards-Version to 3.9.5. No changes needed.
  * Update libtelepathy-logger-qt4-1 symbols file for 0.8.0.
  * Update debian/copyright with new author.
  * Add breaks: libktpcommoninternalsprivate7 (<< 0.7.80~)

 -- Diane Trout <diane@ghic.org>  Thu, 15 May 2014 15:01:39 -0700

telepathy-logger-qt (0.6.0-2) unstable; urgency=low

  * Team upload.

  [ Diane Trout ]
  * Use pkg-kde-tools to help manage symbols file.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Re generate the symbols with the pkg-kde helper. This will make it easier
    to handle them in the future.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 12 Jul 2013 11:47:07 -0300

telepathy-logger-qt (0.6.0-1) unstable; urgency=low

  [ Diane Trout ]
  * Install cmake files into common cmake directory
  * Update watch file for new upstream location.
  * Change Uploaders to myself and Michał Zając
  * Credit George Kiagiadakis for 01_no_useless_linking.diff
  * Add symbols file for libtelepathy-logger-qt4-1
  * Update to Standards-Version 3.9.4. No changes needed.
  * Update control file with minor edits.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Mark some symbols as optional.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 08 Jul 2013 13:53:51 -0300
