=== debian/control ===
Source: telepathy-logger-qt
Section: libs
Priority: optional
Maintainer: Kubuntu/Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: bison,
               cmake (>= 2.8.12~),
               debhelper (>= 9),
               dpkg-dev (>= 1.16.1~),
               extra-cmake-modules (>= 1.6.0~),
               flex,
               libdbus-1-dev,
               libdbus-glib-1-dev,
               libglib2.0-dev,
               libqtgstreamer-dev,
               libtelepathy-glib-dev (>= 0.18),
               libtelepathy-logger-dev (>= 0.8.0~),
               libtelepathy-qt5-dev (>= 0.9.1~),
               libxml2-dev,
               pkg-kde-tools (>= 0.12),
               python (>= 2.6),
               python-dev,
               qtbase5-dev (>= 5.2~)
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/telepathy-logger-qt
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/telepathy-logger-qt.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-extras/kde-telepathy/telepathy-logger-qt.git

Package: libtelepathy-logger-qt5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt bindings for the telepathy-logger library
 This library provides Qt-style C++ bindings for the telepathy-logger library.
 .
 The telepathy-logger library provides access to IM chat and event logs
 that are recorded by the telepathy-logger daemon.

Package: libtelepathy-logger-qt-dev
Section: libdevel
Architecture: any
Depends: libqtgstreamer-dev,
         libtelepathy-logger-qt5 (= ${binary:Version}),
         libtelepathy-qt5-dev,
         libtelepathy-qt5-dev (>= 0.9.1~),
         ${misc:Depends}
Description: Qt bindings for the telepathy-logger library - development files
 This library provides Qt-style C++ bindings for the telepathy-logger library.
 .
 The telepathy-logger library provides access to IM chat and event logs
 that are recorded by the telepathy-logger daemon.
 .
 This package provides the development headers for compiling applications
 that are using telepathy-logger-qt.

Package: libtelepathy-logger-qt-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libtelepathy-logger-qt5 (= ${binary:Version}), ${misc:Depends}
Description: Qt bindings for the telepathy-logger library - debug symbols
 This package provides debug symbols for the telepathy-logger-qt library.
