=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

%:
	dh $@ --with kde --buildsystem=kde --parallel --list-missing --dbg-package=libtelepathy-logger-qt-dbg

override_dh_auto_configure:
	dh_auto_configure --buildsystem=kde -- -DBUILD_SHARED_LIBS=1 -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" $(CMAKE_FLAGS)

override_dh_clean:
	$(overridden_command)
	rm -f tools/*.pyc
