=== debian/changelog ===
telepathy-logger-qt (17.08.0-4build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:27:37 +0100

telepathy-logger-qt (17.08.0-4) unstable; urgency=medium

  * Team upload.
  * QtGStreamer is not used by this package so:
    - remove the libqt5gstreamer-dev build dependency
    - remove the libqt5gstreamer-dev dependency in libtelepathy-logger-qt-dev

 -- Pino Toscano <pino@debian.org>  Sun, 24 Nov 2019 10:06:37 +0100

telepathy-logger-qt (17.08.0-3) unstable; urgency=medium

  * Team upload.
  * Update Vcs-* fields.
  * Add the configuration for the CI on salsa.
  * Remove the unused python-dev build dependency.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
    - stop passing --list-missing to dh_missing, as it is the default
  * Backport all the 4 upstream commits after 17.08.0, to port the scripts
    to Python 3, and improve the cmake build system:
    - commit bd8fcb701645626ce6c442601b009b5dbda22531; patch
      upstream_Tools-Sync-with-TelepathyQt-make-compatible-with-Pyt.patch
    - commit 5a1c86291a631a2ec961a0c1b4cc31fd0db1e2f6; patch
      upstream_CMake-Bump-CMake-minimum-version-to-3.5.patch
    - commit fbb9cc9a31141629097ce1182f131e32f72ddfea; patch
      upstream_CMake-Remove-own-FindLibXml2.patch
    - commit cae0e0254e88899e83bc707a6caf69e7b414aa46; patch
      upstream_CMake-Remove-own-FindPython-modules-use-standard-Fin.patch
    - as result:
      - switch the python build dependency with python3:any (Closes: #938640)
      - bump the cmake build dependency to 3.5
  * Stop passing the -DBUILD_SHARED_LIBS=1 cmake parameter, as it is not used.
  * Update symbols file.
  * Bump Standards-Version to 4.4.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 19 Nov 2019 21:57:03 +0100

telepathy-logger-qt (17.08.0-2) unstable; urgency=medium

  * Team upload.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Use https for Format in copyright.
  * Bump Standards-Version to 4.1.4, no changes required.
  * Pass --list-missing directly to dh_missing.
  * Remove the unused 'testsuite' autopkgtest.
  * Add the allow-stderr restriction to the 'acc' autopkgtest, since it is
    expected as normal output.
  * Place the upstream version automatically when creating the .acc files from
    .acc.in files.

 -- Pino Toscano <pino@debian.org>  Mon, 30 Apr 2018 06:33:50 +0200

telepathy-logger-qt (17.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove obsolete dpkg-dev build dependency.
  * Remove libtelepathy-logger-qt-dbg in favour of the -dbgsym packages.
  * Bump libtelepathy-qt5-dev build & runtime dependency to >= 0.9.7.
  * Remove the unused bison, and flex build dependencies.
  * Stop using the kde dh addon, and the kde buildsystem, since they both are
    for kdelibs 4.x stuff.
  * Update symbols file.
  * Stop passing USE_COMMON_CMAKE_PACKAGE_CONFIG_DIR, and LIB_SUFFIX variables
    to cmake, as they are not used anymore.
  * Simplify watch file, and switch it to https.
  * Bump Standards-Version to 4.1.2, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Dec 2017 08:31:51 +0100

telepathy-logger-qt (15.04.0-2) unstable; urgency=medium

  * Update symbols file. (Closes: #811971)
  * Update Standards-Version to 3.9.8.0, no changes needed.
  * Update Vcs-* tags to use https

 -- Diane Trout <diane@debian.org>  Fri, 06 Jan 2017 23:47:20 -0800

telepathy-logger-qt (15.04.0-1) unstable; urgency=medium

  [ Diane Trout ]
  * Update watch file
  * Update build dependencies to use libqt5gstreamer-dev
  * Update symbols files
  * Remove unnecessary XS-Testsuite field from debian/control.
  * Update Diane Trout's email address.

  [ Maximiliano Curia ]
  * Bump Standards-Version to 3.9.6, no changes needed.
  * New upstream release (15.04.0).

 -- Diane Trout <diane@debian.org>  Fri, 06 Nov 2015 22:12:23 -0800
