=== debian/control ===
Source: telepathy-logger-qt
Section: libs
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Diane Trout <diane@debian.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 1.6.0~),
               libdbus-1-dev,
               libdbus-glib-1-dev,
               libglib2.0-dev,
               libtelepathy-glib-dev (>= 0.18),
               libtelepathy-logger-dev (>= 0.8.0~),
               libtelepathy-qt5-dev (>= 0.9.7~),
               libxml2-dev,
               pkg-kde-tools (>= 0.12),
               python3:any,
               qtbase5-dev (>= 5.2~)
Standards-Version: 4.4.1
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/telepathy-logger-qt
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/telepathy-logger-qt.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/telepathy-logger-qt

Package: libtelepathy-logger-qt5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt bindings for the telepathy-logger library
 This library provides Qt-style C++ bindings for the telepathy-logger library.
 .
 The telepathy-logger library provides access to IM chat and event logs
 that are recorded by the telepathy-logger daemon.

Package: libtelepathy-logger-qt-dev
Section: libdevel
Architecture: any
Depends: libtelepathy-logger-qt5 (= ${binary:Version}),
         libtelepathy-qt5-dev (>= 0.9.7~),
         ${misc:Depends}
Description: Qt bindings for the telepathy-logger library - development files
 This library provides Qt-style C++ bindings for the telepathy-logger library.
 .
 The telepathy-logger library provides access to IM chat and event logs
 that are recorded by the telepathy-logger daemon.
 .
 This package provides the development headers for compiling applications
 that are using telepathy-logger-qt.
