=== debian/watch ===
version=4
https://download.kde.org/stable/telepathy-logger-qt/([\d.]+)/src/telepathy-logger-qt-([\d.]+)\.tar\.xz
