=== debian/changelog ===
telepathy-logger-qt (17.09.0-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:02:49 +1100

telepathy-logger-qt (17.09.0-1build3) noble; urgency=medium

  * No-change rebuild against libtelepathy-glib0t64

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 21 Mar 2024 16:19:48 +1300

telepathy-logger-qt (17.09.0-1build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:16:16 +0000

telepathy-logger-qt (17.09.0-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 07:05:37 +0000

telepathy-logger-qt (17.09.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - upstream_Tools-Sync-with-TelepathyQt-make-compatible-with-Pyt.patch:
      drop, backported from upstream
    - upstream_CMake-Bump-CMake-minimum-version-to-3.5.patch: drop, backported
      from upstream
    - upstream_CMake-Remove-own-FindLibXml2.patch: drop, backported from
      upstream
    - upstream_CMake-Remove-own-FindPython-modules-use-standard-Fin.patch:
      drop, backported from upstream
  * Bump Standards-Version to 4.5.0, no changes required.
  * Enable all the reprotest variations in the salsa CI.

 -- Pino Toscano <pino@debian.org>  Sat, 14 Mar 2020 07:09:56 +0100
