=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: telepathy-logger-qt
 Section: libs
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Diane Trout <diane@debian.org>,
            Michał Zając <quintasan@kubuntu.org>,
            Maximiliano Curia <maxy@debian.org>
@@ -18,7 +19,7 @@
                pkg-kde-tools (>= 0.12),
                python3:any,
                qtbase5-dev (>= 5.2~)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/telepathy-logger-qt
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/telepathy-logger-qt.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/telepathy-logger-qt
