=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_clean:
	dh_clean
	rm -f tools/*.pyc

override_dh_strip:
	dh_strip --dbgsym-migration='libtelepathy-logger-qt-dbg (<< 17.08.0~)'
